org.jbpm.services.task.audit.commands

## Class AuditTaskQueryCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<R>>
  - - org.jbpm.services.task.audit.commands.AbstractTaskAuditQueryCommand<org.kie.internal.task.api.AuditTask,AuditTaskImpl>
    - - org.jbpm.services.task.audit.commands.AuditTaskQueryCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<org.kie.internal.task.api.AuditTask>>, org.kie.api.command.Command<List<org.kie.internal.task.api.AuditTask>>

      public class AuditTaskQueryCommand
      extends AbstractTaskAuditQueryCommand<org.kie.internal.task.api.AuditTask,AuditTaskImpl>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditTaskQueryCommand()`
    `AuditTaskQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<AuditTaskImpl>` | `getQueryType()`
    `org.jbpm.query.jpa.data.QueryWhere` | `getQueryWhere()`
    `protected Class<org.kie.internal.task.api.AuditTask>` | `getResultType()`
    `void` | `setQueryWhere(org.jbpm.query.jpa.data.QueryWhere queryWhere)`

    - ### Methods inherited from class org.jbpm.services.task.audit.commands.AbstractTaskAuditQueryCommand

      `execute`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### AuditTaskQueryCommand

          public AuditTaskQueryCommand()

    - #### AuditTaskQueryCommand

          public AuditTaskQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)

  - ### Method Detail

    - #### getQueryWhere

          public org.jbpm.query.jpa.data.QueryWhere getQueryWhere()

      Specified by:
        `getQueryWhere` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.AuditTask,AuditTaskImpl>`

    - #### setQueryWhere

          public void setQueryWhere(org.jbpm.query.jpa.data.QueryWhere queryWhere)

    - #### getResultType

          protected Class<org.kie.internal.task.api.AuditTask> getResultType()

      Specified by:
        `getResultType` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.AuditTask,AuditTaskImpl>`

    - #### getQueryType

          protected Class<AuditTaskImpl> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.AuditTask,AuditTaskImpl>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.